Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.smardec.asc.table.wrappers
Class DefaultImageWrapper

    java.lang.Object
      |
      +--com.smardec.asc.table.wrappers.DefaultImageWrapper

public class DefaultImageWrapper
extends java.lang.Object

`DefaultImageWrapper` class is used by `DefaultImageCellRenderer` as a container for image and its properties.

Constructor Summary
`DefaultImageWrapper(javax.swing.ImageIcon image, java.lang.String pathToImage, boolean fitCellRect, boolean keepAspectRatio)` Constructs a `DefaultImageWrapper` with the specified image, path to image, fitCellRect and keepAspectRatio properties.

Method Summary
`javax.swing.ImageIcon` | `getImage()` Returns image that holds by this wrapper.
`java.lang.String` | `getPathToImage()` Returns path to image that wrapper keeps.
`boolean` | `isFitCellRect()` Indicates whether the image should fit the cell.
`boolean` | `isKeepAspectRatio()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultImageWrapper

    public DefaultImageWrapper(javax.swing.ImageIcon image,
                               java.lang.String pathToImage,
                               boolean fitCellRect,
                               boolean keepAspectRatio)

  Constructs a `DefaultImageWrapper` with the specified image, path to image, fitCellRect and keepAspectRatio properties.

Parameters:
  `image` -
  `pathToImage` -
  `fitCellRect` -
  `keepAspectRatio` -

Method Detail

### getImage

    public javax.swing.ImageIcon getImage()

  Returns image that holds by this wrapper.

  Returns:
    image that holds by this wrapper.

### isKeepAspectRatio

    public boolean isKeepAspectRatio()

  Returns:
    `true` if image keep aspect ratio, `false` otherwise.

### isFitCellRect

    public boolean isFitCellRect()

  Indicates whether the image should fit the cell.

  Returns:
    `true` if image fit the cell, `false` otherwise.

### getPathToImage

    public java.lang.String getPathToImage()

  Returns path to image that wrapper keeps.

  Returns:
    path to image that wrapper keeps.

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006 Smardec. All Rights Reserved.